# $Revision: 1.10 $, $Date: 2005/03/12 12:32:37 $

%define		module	acpi

Summary:	Uniform and platform independent interface to ACPI
Summary(pl):	Jednorodny i niezaleny od platformy interfejs do ACPI
Name:		python-%{module}
Version:	0.3.0
Release:	1
License:	Custom
Group:		Development/Languages/Python
Source0:	http://www.iapp.de/~riemer/projects/acpi.py/page.30.download/page.10.acpi.py/page.020.0.3.0/%{module}.py-%{version}-0-generic-src.tgz
# Source0-md5:	c200fc6ef00c774154ff899a0073220b
Source1:	%{name}-setup.py
URL:		http://www.iapp.de/~riemer/projects/acpi.py/
%pyrequires_eq	python-modules
BuildRequires:	python-devel >= 1:2.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The goal of acpi.py is providing of an uniform and platform
independent interface to ACPI. At the moment it implements only
battery relevant functions. The interface is not stable yet.

%description -l pl
Celem moduu acpi.py jest zapewnienie jednorodnego i niezalenego od
platformy interfejsu do ACPI. Na t chwil zaimplementowane s tylko
funkcje dotyczce stanu baterii. Interfejs nie jest jeszcze stabilny.

%prep
%setup -q -n ACPI

%build
CFLAGS="%{rpmcflags}"
export CFLAGS
python %{SOURCE1} build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitedir}

python %{SOURCE1} install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README INSTALL LICENSE
%{py_sitescriptdir}/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-acpi.spec,v $
Revision 1.10  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.9  2004/11/27 19:01:24  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.8  2004/07/28 08:03:15  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.7  2004/07/26 18:15:29  zboczuch
- massive attack: s/CLFAGS/CFLAGS/

Revision 1.6  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.5  2004/05/26 20:59:30  leafnode
- updated to 0.3.0

Revision 1.4  2003/10/16 19:26:10  ankry
- cosmetics

Revision 1.3  2003/10/15 12:09:48  qboosh
- fixed summaries

Revision 1.2  2003/10/15 11:11:40  leafnode
- forgot to apply patch. Have to buy Bilobil.

Revision 1.1  2003/10/15 11:00:38  leafnode
- initial revision
- created, adapterized, applied patch, setup.py
